CREATE TABLE inv_picking_rules (
    INV_RULE_ID               NUMBER(18, 0) ,
    SHELF_DAYS                NUMBER(18, 0) ,
    SINGLE_LOT                VARCHAR2(4)   ,
    PARTIAL_ALLOWED_FLAG      VARCHAR2(4)   ,
    CUST_SPEC_MATCH_FLAG      VARCHAR2(4)   ,
    LOT_SORT                  NUMBER(18, 0) ,
    LOT_SORT_RANK             NUMBER(18, 0) ,
    REVISION_SORT             NUMBER(18, 0) ,
    REVISION_SORT_RANK        NUMBER(18, 0) ,
    SUBINVENTORY_SORT         NUMBER(18, 0) ,
    SUBINVENTORY_SORT_RANK    NUMBER(18, 0) ,
    LOCATOR_SORT              NUMBER(18, 0) ,
    LOCATOR_SORT_RANK         NUMBER(18, 0) ,
    WMS_RULE_ID               NUMBER(18, 0)     NOT NULL,
    WMS_STRATEGY_ID           NUMBER(18, 0) ,
    APPLY_TO_SOURCE           NUMBER(18, 0) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    REQUEST_ID                NUMBER(18, 0) ,
    ATTRIBUTE1                VARCHAR2(960) ,
    ATTRIBUTE2                VARCHAR2(960) ,
    ATTRIBUTE3                VARCHAR2(960) ,
    ATTRIBUTE4                VARCHAR2(960) ,
    ATTRIBUTE5                VARCHAR2(960) ,
    ATTRIBUTE6                VARCHAR2(960) ,
    ATTRIBUTE7                VARCHAR2(960) ,
    ATTRIBUTE8                VARCHAR2(960) ,
    ATTRIBUTE9                VARCHAR2(960) ,
    ATTRIBUTE10               VARCHAR2(960) ,
    ATTRIBUTE11               VARCHAR2(960) ,
    ATTRIBUTE12               VARCHAR2(960) ,
    ATTRIBUTE13               VARCHAR2(960) ,
    ATTRIBUTE14               VARCHAR2(960) ,
    ATTRIBUTE15               VARCHAR2(960) ,
    ATTRIBUTE16               VARCHAR2(960) ,
    ATTRIBUTE17               VARCHAR2(960) ,
    ATTRIBUTE18               VARCHAR2(960) ,
    ATTRIBUTE19               VARCHAR2(960) ,
    ATTRIBUTE20               VARCHAR2(960) ,
    ATTRIBUTE21               VARCHAR2(960) ,
    ATTRIBUTE22               VARCHAR2(960) ,
    ATTRIBUTE23               VARCHAR2(960) ,
    ATTRIBUTE24               VARCHAR2(960) ,
    ATTRIBUTE25               VARCHAR2(960) ,
    ATTRIBUTE26               VARCHAR2(960) ,
    ATTRIBUTE27               VARCHAR2(960) ,
    ATTRIBUTE28               VARCHAR2(960) ,
    ATTRIBUTE29               VARCHAR2(960) ,
    ATTRIBUTE30               VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY        VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ALLOCATE_LPN_FLAG         VARCHAR2(4)   ,
    LPN_LOCATION_ONLY_FLAG    VARCHAR2(4)   ,
    LPN_SORT                  NUMBER(18, 0) ,
    LPN_SORT_RANK             NUMBER(18, 0) ,
    INV_RULE_ID               NUMBER(18, 0) ,
    SHELF_DAYS                NUMBER(18, 0) ,
    SINGLE_LOT                VARCHAR2(4)   ,
    PARTIAL_ALLOWED_FLAG      VARCHAR2(4)   ,
    CUST_SPEC_MATCH_FLAG      VARCHAR2(4)   ,
    LOT_SORT                  NUMBER(18, 0) ,
    LOT_SORT_RANK             NUMBER(18, 0) ,
    REVISION_SORT             NUMBER(18, 0) ,
    REVISION_SORT_RANK        NUMBER(18, 0) ,
    SUBINVENTORY_SORT         NUMBER(18, 0) ,
    SUBINVENTORY_SORT_RANK    NUMBER(18, 0) ,
    LOCATOR_SORT              NUMBER(18, 0) ,
    LOCATOR_SORT_RANK         NUMBER(18, 0) ,
    WMS_RULE_ID               NUMBER(18, 0)     NOT NULL,
    WMS_STRATEGY_ID           NUMBER(18, 0) ,
    APPLY_TO_SOURCE           NUMBER(18, 0) ,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    REQUEST_ID                NUMBER(18, 0) ,
    ATTRIBUTE1                VARCHAR2(960) ,
    ATTRIBUTE2                VARCHAR2(960) ,
    ATTRIBUTE3                VARCHAR2(960) ,
    ATTRIBUTE4                VARCHAR2(960) ,
    ATTRIBUTE5                VARCHAR2(960) ,
    ATTRIBUTE6                VARCHAR2(960) ,
    ATTRIBUTE7                VARCHAR2(960) ,
    ATTRIBUTE8                VARCHAR2(960) ,
    ATTRIBUTE9                VARCHAR2(960) ,
    ATTRIBUTE10               VARCHAR2(960) ,
    ATTRIBUTE11               VARCHAR2(960) ,
    ATTRIBUTE12               VARCHAR2(960) ,
    ATTRIBUTE13               VARCHAR2(960) ,
    ATTRIBUTE14               VARCHAR2(960) ,
    ATTRIBUTE15               VARCHAR2(960) ,
    ATTRIBUTE16               VARCHAR2(960) ,
    ATTRIBUTE17               VARCHAR2(960) ,
    ATTRIBUTE18               VARCHAR2(960) ,
    ATTRIBUTE19               VARCHAR2(960) ,
    ATTRIBUTE20               VARCHAR2(960) ,
    ATTRIBUTE21               VARCHAR2(960) ,
    ATTRIBUTE22               VARCHAR2(960) ,
    ATTRIBUTE23               VARCHAR2(960) ,
    ATTRIBUTE24               VARCHAR2(960) ,
    ATTRIBUTE25               VARCHAR2(960) ,
    ATTRIBUTE26               VARCHAR2(960) ,
    ATTRIBUTE27               VARCHAR2(960) ,
    ATTRIBUTE28               VARCHAR2(960) ,
    ATTRIBUTE29               VARCHAR2(960) ,
    ATTRIBUTE30               VARCHAR2(960) ,
    ATTRIBUTE_CATEGORY        VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ALLOCATE_LPN_FLAG         VARCHAR2(4)   ,
    LPN_LOCATION_ONLY_FLAG    VARCHAR2(4)   ,
    LPN_SORT                  NUMBER(18, 0) ,
    LPN_SORT_RANK             NUMBER(18, 0) ,
    CONSTRAINT pk_inv_picking_rules PRIMARY KEY (INV_RULE_ID, INV_RULE_ID)
);
